package com.dao;


import com.entity.Donation;

import java.util.List;
import java.util.Map;


public interface DonationMapper {

    int deleteByPrimaryKey(Integer id);

    int insert(Donation donation);

    int insertSelective(Donation donation);

    Donation selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(Donation donation);

    int updateByPrimaryKeyWithBLOBs(Donation donation);

    int updateByPrimaryKey(Donation donation);

    //  查询所有信息
    List<Donation> getAll(Map<String, Object> map);

    List<Donation> getAllNotFid(Map<String, Object> map);
    // 获取条数
    int getCount(Map<String, Object> po);
    //  分页
    List<Donation> getByPage(Map<String, Object> map);


}
